[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Towards multi-arch: "Multi-Arch: same" file conflicts

On Fri, Apr 27, 2012 at 00:30:01 +0900, Osamu Aoki wrote:

> Hi,
> Just removing  Multi-Arch causes this lintian warning ...
> W: ibus source: dependency-is-not-multi-archified libibus-1.0-dev
> depends on gir1.2-ibus-1.0 (multi-arch: no)
> N: 
> N:    The package is Multi-Arch "same", but it depends on a package that
> is
> N:    neither Multi-Arch "same" nor "foreign".
> N:    
> N:    Refer to https://wiki.ubuntu.com/MultiarchSpec for details.
> N:    
> N:    Severity: normal, Certainty: possible
> N:    
> N:    Check: group-checks, Type: source
> N: 

So you can either ignore the warning, or drop the flag from the -dev
package.  In any case it's not going to be multiarch co-installable.


Attachment: signature.asc
Description: Digital signature

Reply to: